/* Trampolin Netzhalter
v4: Druckhilfe über unteren Ring
v5: Druckzeit der v4 von fast 4h reduzieren!

*/

/* Globals */
$fn=23;
gHeight=50;
gHeightRings=8; //v4: 15
gTorusDiaRings=8;
gDiaPost=25+1.0;
gMS=2.4;
gSpalt=0.4;
gExtraSpalt=5.0+5.0+4.0; // für Gurt und Gurtschloss
gPostDiaOuter=2*gMS+2*gSpalt+gDiaPost;

include <../Modules/Rounded Cylinder.scad>;

difference()
{
	union()
	{
		/* Lower Ring (Design is bottom-side-up for printability) */
		translate([0, 0, gHeight/2-gHeightRings/2])
		roundedCylinder(d1=gTorusDiaRings, d2=gDiaPost, s=gExtraSpalt, h=gHeightRings);

		/* Make lower Ring printable */
		gphh=5.23;
		translate([0, 0, gHeight/2-gHeightRings/2*2-1*gphh/2 +0.6])
		cylinder(d1=gPostDiaOuter, d2=gPostDiaOuter+gTorusDiaRings*4.6, h=gphh+3, center=true);

		/* Middle Piece */
		cylinder(d=gPostDiaOuter, h=gHeight, center=true);

		/* Upper Ring */
		translate([0, 0, -gHeight/2+gHeightRings/2])
		roundedCylinder(d1=gTorusDiaRings, d2=gDiaPost, s=gExtraSpalt, h=gHeightRings);
		
		/* Gurthalter, damit er nicht verrutscht */
		for(a=[0, 90, 180])
		{
			rotate([0, 0, a])
			translate([gDiaPost/2+gTorusDiaRings*0.66+gExtraSpalt, 0, gHeightRings/2*0])
			cube([gMS*2, 10, gHeight-gHeightRings*2/2], center=true);
		}
	}
	
	/* Hole for the Post */
	translate([0, 0, gMS])
	cylinder(d=0*gMS+2*gSpalt+gDiaPost, h=gHeight, center=true);
}	

/* Torus/Donut Test */
if (0)
{
	torus(d1=10, d2=10);
	cylinder(d=10, h=100);
}

